Annotations
Get Annotation
Returns a single annotation.
GET
/
v1
/
annotations
/
{id}
curl https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here"
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}
Path Parameters
string
required
The annotation ID. Example:
ann_m2k8v.Response
string
required
Always
"annotation".string
required
The annotation ID.
string
required
The parent item ID.
string
required
The highlighted text.
string
User-added note, if any.
string
required
ISO 8601 timestamp.
string
required
ISO 8601 timestamp.
curl https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here"
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}
curl https://api.getmatter.com/public/v1/annotations/ann_m2k8v \
-H "Authorization: Bearer mat_your_token_here"
{
"object": "annotation",
"id": "ann_m2k8v",
"item_id": "itm_r9f3a",
"text": "The way to figure out what to work on is by working.",
"note": "Core thesis of the essay",
"created_at": "2026-03-30T18:32:00Z",
"updated_at": "2026-03-30T18:32:00Z"
}